Page MenuHomePhabricator

Add 'Your current location' to search results in Places
Closed, ResolvedPublic

Description

Why are we doing this
We received some feedback from user testing suggesting that some users expect to be able to type in 'current location' to return to their current location. Additionally adding 'current location' to the dropdown will help with accessibility.

Design


Zeplin: https://zpl.io/Z1LvCXE

Design details

  • 'Your current location' search suggestion should not appear for users who have not turned on location services
  • 'Place' indicators have been updated (please see asset below) and the current location search suggestion will use the previous (location) indicator used by the place related search suggestions
  • Tapping on 'Your current location' closes the search popover, opening to the map view on the user's current location

Place indicator asset

Event Timeline

cmadeo created this task.Jun 1 2017, 8:04 PM
cmadeo removed cmadeo as the assignee of this task.Jun 1 2017, 8:41 PM
cmadeo removed a project: Epic.Jun 2 2017, 12:13 AM
JoeWalsh added a comment.EditedJun 2 2017, 2:48 PM

'Your current location' search suggestion should not appear for users who have not turned on location services

Would it be fine to show it if it behaves the same way as the recenter on your location button? The button asks for location permission if it's tapped and location permission hasn't been requested. If the button is tapped after location denial, it shows instructions & links to settings.

cmadeo added a comment.Jun 2 2017, 5:01 PM

@JoeWalsh, oh sure, that's an even better idea. Thanks!

JMinor closed this task as Resolved.Jun 12 2017, 7:15 PM